API to bulk update products (price, availability, collections, delete)

http
POST https://services.leadconnectorhq.com/products/bulk-update

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Body

NameTypeRequiredExampleDescription
altIdstringYes6578278e879ad2646715ba9cAccount Id or Agency Id
altTypestringYesPossible values: 'account'
typestringYesbulk-update-priceType of bulk update operation Possible values: 'bulk-update-price', 'bulk-update-availability', 'bulk-update-product-collection', 'bulk-delete-products', 'bulk-update-currency'
productIdsstring[]YesArray of product IDs
filtersobjectNoFilters to apply when selectAll is true
priceobjectNoPrice update configuration
compareAtPriceobjectNoCompare at price update configuration
availabilitybooleanNoNew availability status
collectionIdsstring[]NoArray of collection IDs
currencystringNoUSDCurrency code

Responses

201 - Products updated successfully
  • status (boolean, required): Status of api action Example: True

  • message (string): Success message Example: Successfully created

json
{
  "status": true,
  "message": "Successfully created"
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X POST 'https://services.leadconnectorhq.com/products/bulk-update' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "altId": "6578278e879ad2646715ba9c",
  "altType": "account",
  "type": "bulk-update-price",
  "productIds": [
    "5f8d0d55b54764421b7156c1"
  ],
  "availability": true,
  "collectionIds": [
    "string"
  ],
  "currency": "USD"
}'

Last updated October 26, 2026

Was this page helpful?